Perform Bulk Journal Actions for Financial Consolidation and Close
Performs a journal action for multiple journals in one request.
Journal actions supported: SUBMIT,APPROVE,POST,UNPOST,REJECT,COMPLETE
This API works only for Financial Consolidation and Close.
REST Resource
POST /HyperionPlanning/rest/{api_version}/applications/{application}/journals/bulk-actionsRequired Roles
| Role | Available Actions |
|---|---|
| Service Administrator | All |
| Power User/User |
Access depends on the requested action, the Consolidation Journals security role, and journal-member access for every selected journal. |
Request
Supported Media Types: application/json
Parameters
The following table summarizes the client request.
Table 6-20 Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
api_version |
Version of the API you are developing with | Path | Yes | None |
application |
The name of the application | Path | Yes | None |
scenario |
Scenario for the journal action. | Body | Yes | None |
year |
Year for the journal action. | Body | Yes | None |
period |
Period for the journal action. | Body | Yes | None |
consolidation |
Consolidation member for the journal action. This required POV member must be specified explicitly. | Body | Yes | None |
action |
Workflow action. Valid values: APPROVE, SUBMIT, POST, UNPOST, REJECT and COMPLETE. | Body | Yes | None |
cubeName |
Cube containing the journals. | Body | No | Consol |
comment |
Common comment applied to every journal in the request. | Body | No | None |
autoReversalPeriod |
Auto-reversal Period member . Supported only for POST and UNPOST actions on Auto Reversing journals. | Body | No | None |
autoReversalYear |
Auto-reversal Year member. Supported only for POST and UNPOST actions on Auto Reversing journals. | Body | No | None |
labels |
List of journal labels to process. The list must not be empty. | Body | Yes | None |
Response
Parameters
The following table summarizes the response parameters.
Table 6-21 Parameters
| Name | Description |
|---|---|
jobId |
Identifier of the asynchronous detailed bulk-action job. |
status |
Job status. A value of -1 indicates that the job is in
progress.
|
descriptiveStatus |
Descriptive job status, such as In Progress. |
Supported Media Types: application/json
Sample JSON Input
{
"scenario": "Actual",
"year": "FY17",
"period": "Jan",
"consolidation": "FCCS_Entity Input",
"action": "POST",
"cubeName": "Consol",
"comment": "Post journals for Jan close",
"autoReversalPeriod": "Feb",
"autoReversalYear": "FY17",
"labels": [
"JRNL_1001",
"JRNL_1002"
]
}Example of Response Body
The following shows an example of the response body.
{
"jobId": 12345,
"status": -1,
"descriptiveStatus": "In Progress"
}